Skip to main content
POST
/
api
/
core
/
use-cases
/
{use_case_id}
/
quick-actions
Create quick action and attach to use case
curl --request POST \
  --url https://api.example.com/api/core/use-cases/{use_case_id}/quick-actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quick_action": {
    "id": "<string>",
    "label": {
      "en": "<string>",
      "de": "<string>",
      "es": "<string>",
      "fr": "<string>",
      "it": "<string>",
      "nl": "<string>",
      "pl": "<string>",
      "pt": "<string>",
      "sv": "<string>"
    },
    "prompt_task": "<string>",
    "prompt_output_format": "<string>",
    "prompt_example_section": "<string>",
    "icon": "fa-solid fa-bolt"
  }
}
'
{
  "quick_action": {
    "id": "<string>",
    "label": {
      "en": "<string>",
      "de": "<string>",
      "es": "<string>",
      "fr": "<string>",
      "it": "<string>",
      "nl": "<string>",
      "pl": "<string>",
      "pt": "<string>",
      "sv": "<string>"
    },
    "prompt_task": "<string>",
    "prompt_output_format": "<string>",
    "prompt_example_section": "<string>",
    "icon": "fa-solid fa-bolt"
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Path Parameters

use_case_id
string
required

Body

application/json
quick_action
QuickAction · object
required

Response

Successful Response

Response schema for create/update quick action endpoints.

quick_action
QuickAction · object
required